errors in phpmyadmin

Und alles was mit phpMyAdmin seine Verwandtschaft findet hat hier seinen Platz.

errors in phpmyadmin

Postby Grail » 26. October 2011 16:58

I have windows 7 64 bit and have installed the following: Apache 2.2.17, Mysql, php 5.2.17 and phpmyadmin these were installed each separately and I have encounter the following errors. I would appreciate your recommendations on these.

I get the following errors in phpmyadmin:

1. configuration 1. The phpMyAdmin configuration storage is not completely configured, some extended features have been disabled
I click where it says"click here" and the following screen shows:

$cfg['Servers'][$i]['pmadb'] ... not OK [ Documentation ]
$cfg['Servers'][$i]['relation'] ... not OK [ Documentation ]
General relation features: Disabled

$cfg['Servers'][$i]['table_info'] ... not OK [ Documentation ]
Display Features: Disabled

$cfg['Servers'][$i]['table_coords'] ... not OK [ Documentation ]
$cfg['Servers'][$i]['pdf_pages'] ... not OK [ Documentation ]
Creation of PDFs: Disabled

$cfg['Servers'][$i]['column_info'] ... not OK [ Documentation ]
Displaying Column Comments: Disabled
Browser transformation: Disabled

$cfg['Servers'][$i]['bookmarktable'] ... not OK [ Documentation ]
Bookmarked SQL query: Disabled

$cfg['Servers'][$i]['history'] ... not OK [ Documentation ]
SQL history: Disabled

$cfg['Servers'][$i]['designer_coords'] ... not OK [ Documentation ]
Designer: Disabled

$cfg['Servers'][$i]['tracking'] ... not OK [ Documentation ]
Tracking: Disabled

$cfg['Servers'][$i]['userconfig'] ... not OK [ Documentation ]
User preferences: Disabled

2. The configuration file now needs a secret passphrase (blowfish_secret).
I added a blowfish secret but it does not recongnize it file contains the following but I can no longer find it in the phpmyadmin setup directory. The only file is the config.php:

* Generated configuration file
* Generated by: phpMyAdmin setup script
* Date: Fri, 21 Oct 2011 16:10:55 -0400

/* Servers configuration */
$i = 0;

/* Server: localhost [1] */
$cfg['Servers'][$i]['verbose'] = '';
$cfg['Servers'][$i]['host'] = 'localhost';
$cfg['Servers'][$i]['port'] = '';
$cfg['Servers'][$i]['socket'] = '';
$cfg['Servers'][$i]['ssl'] = true;
$cfg['Servers'][$i]['connect_type'] = 'tcp';
$cfg['Servers'][$i]['extension'] = 'mysqli';
$cfg['Servers'][$i]['auth_type'] = 'cookie';

/* End of servers configuration */

$cfg['UploadDir'] = '';
$cfg['SaveDir'] = '';
$cfg['blowfish_secret'] = 'da17clec07d75003#';
$cfg['ForceSSL'] = true;
$cfg['DefaultLang'] = 'en';
$cfg['ServerDefault'] = 1;
config.php File was created by setup scripts option:

/* vim: set expandtab sw=4 ts=4 sts=4: */
* Front controller for config view / download and clear
* @package phpMyAdmin-setup

* Core libraries.
require './lib/';
require_once './libraries/config/Form.class.php';
require_once './libraries/config/FormDisplay.class.php';
require_once './setup/lib/ConfigGenerator.class.php';

require './libraries/config/setup.forms.php';

$form_display = new FormDisplay();
$form_display->registerForm('_config.php', $forms['_config.php']);
$config_file_path = ConfigFile::getInstance()->getFilePath();

if (isset($_POST['eol'])) {
$_SESSION['eol'] = ($_POST['eol'] == 'unix') ? 'unix' : 'win';

if (PMA_ifSetOr($_POST['submit_clear'], '')) {
// Clear current config and return to main page
// drop post data
header('HTTP/1.1 303 See Other');
header('Location: index.php');
} elseif (PMA_ifSetOr($_POST['submit_download'], '')) {
// Output generated config file
header('Content-Type: text/plain');
header('Content-Disposition: attachment; filename=""');
echo ConfigGenerator::getConfigFile();
} elseif (PMA_ifSetOr($_POST['submit_save'], '')) {
// Save generated config file on the server
file_put_contents($config_file_path, ConfigGenerator::getConfigFile());
header('HTTP/1.1 303 See Other');
header('Location: index.php');
} elseif (PMA_ifSetOr($_POST['submit_load'], '')) {
// Load config file from the server
$cfg = array();
require_once $config_file_path;
header('HTTP/1.1 303 See Other');
header('Location: index.php');
} elseif (PMA_ifSetOr($_POST['submit_delete'], '')) {
// Delete config file on the server
header('HTTP/1.1 303 See Other');
header('Location: index.php');
} else {
// Show generated config file in a <textarea>
header('HTTP/1.1 303 See Other');
header('Location: index.php?page=config');
3.Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.58. This may cause unparticular
How do I update the MYSQL library of PHP. Do I have to uninstall PHP 5.2.17 and install 5.3 as well as mysql.
4.A newer version of phpMyAdmin is available and you should consider upgrading. The newest versio
on 2011-09-14.
Does it automatically update itself.
Please note I am not an expert. I am just beginning to learn about Apache, PHP and MYSQL. Please provid
detail explanation of what to do and how to do it.
5. Is there a User Manual for phpMyAdmin as I notice that in some books that I have bought there is v
explanation in how to use phpMyAdmin. Most use the command line.

6. I have download xamp-win-32-1.7.7-VC9 installer.exe I would like to know if this is the right version for my laptop which contains windows 7 64 bit. Do you know have a 64 bit version of xamp. What is VC9 stand for and is this the correct one for me. Also is mysql 5.5 contained in this xamp 1.7.7 is it a 32 bit or 64 bit.

I am considering of installing the portable version of xamp and would like to know if are any problems encounter with windows 7 64 bit.

I would appreciate your response to the above. Thank you
Posts: 2
Joined: 19. September 2009 19:07

Re: errors in phpmyadmin

Postby Sharley » 31. October 2011 15:31

phpMyAdmin documentation can be found in the phpMyAdmin folder in XAMPP 1.7.7 and the Dev docs can be found here:

There is no 64 bit XAMPP but the 32 bit XAMPP 1.7.7 version works quite well when installed to the C: drive so you end up with C:\xampp but see below about using the zip or 7zip version.
(Don't install or unpack XAMPP to a folder with spaces or special characters like brackets etc.).

VC9 is the method used to compile Apache and uses the Microsoft Visual C9 compiler (Visual C++ 2008).

Previous versions used the VC6 compiler.

MySQL 5.5.16 is included in 1.7.7

The portable version is not a full version and if possible and unless absolutely required then I recommend the full version be installed.

There was a similar issue in the Windows forum using the same OS and XAMPP version using the installer version which on some systems is suspect.

We fixed this issue by uninstalling correctly the version using the installer exe and reinstalled using the archive version using this post as a guide:
User avatar
AF Moderator
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.14
Operating System: Win 7 Pro 32bit/XP Pro SP3

Return to phpMyAdmin

Who is online

Users browsing this forum: No registered users and 1 guest